InternalAuthenticationProvider (Hyperic HQ Plugin API)
Keywords: org.hyperic.hq.ui.security.InternalAuthenticationProvider class

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hyperic.hq.ui.security
Class InternalAuthenticationProvider

    java.lang.Object
      org.hyperic.hq.ui.security.InternalAuthenticationProvider

All Implemented Interfaces:
  org.springframework.security.authentication.AuthenticationProvider

    public class InternalAuthenticationProvider

extends java.lang.Object
implements org.springframework.security.authentication.AuthenticationProvider

Constructor Summary
`InternalAuthenticationProvider()`

Method Summary
`org.springframework.security.core.Authentication` | `authenticate(org.springframework.security.core.Authentication authentication)`
`boolean` | `supports(java.lang.Class<? extends java.lang.Object> authentication)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### InternalAuthenticationProvider

    public InternalAuthenticationProvider()

Method Detail

### authenticate

    public org.springframework.security.core.Authentication authenticate(org.springframework.security.core.Authentication authentication)
                                                                  throws org.springframework.security.core.AuthenticationException

  Specified by:
    `authenticate` in interface `org.springframework.security.authentication.AuthenticationProvider`
  Throws:
    `org.springframework.security.core.AuthenticationException`

### supports

    public boolean supports(java.lang.Class<? extends java.lang.Object> authentication)

  Specified by:
    `supports` in interface `org.springframework.security.authentication.AuthenticationProvider`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2006 Hyperic, Inc. support@hyperic.net, All Rights Reserved.